## Package org.apache.solr.common.cloud

Interface Summary
ClosableThread
OnReconnect
ZkClientConnectionStrategy.ConnectedListener
ZkClientConnectionStrategy.DisconnectedListener

Class Summary
ClusterState: Immutable state of the cloud.
DefaultConnectionStrategy: TODO: improve backoff retry impl
HashPartitioner: Class to partition int range into n ranges.
HashPartitioner.Range
Replica
Slice: A Slice contains immutable information about a logical shard (all replicas that share the same shard id).
SolrZkClient: All Solr ZooKeeper interactions should go through this class rather than ZooKeeper.
SolrZooKeeper
ZkClientConnectionStrategy
ZkClientConnectionStrategy.ZkUpdate
ZkCmdExecutor
ZkCoreNodeProps
ZkNodeProps: ZkNodeProps contains generic immutable properties.
ZkOperation: A callback object which can be used for implementing retry-able operations.
ZkStateReader

Exception Summary
ZooKeeperException